无法更新NI Linux实时设备的固件

更新 Jul 15, 2020

适用于

硬件

  • CompactRIO Controller
  • myRIO Student Embedded Device

操作系统

  • NI Linux Real-Time

问题详述

我正在使用NI Linux Real-Time设备,会收到提示说我需要更新设备的固件,但是找不到升级文件,如在Linux Real-Time设备上升级固件中所述。请问如何更新设备的固件?

解决方案

将NI-RIO驱动程序的版本更新为至少与已安装的LabVIEW最新版本兼容的版本。更新驱动程序版本后,请按照“ 在Linux Real-Time设备升级固件”中的步骤进行操作。

相关信息

NI设备的固件更新随设备驱动程序一起分发。如果需要固件更新,但找不到合适的文件,则更新驱动程序将提供所需的固件文件。